fs flushvolume             AFS Commands          fs flushvolume


NAME

   fs flushvolume -- force Cache Manager to discard any cached

                       data   from   the   volume    containing
                       specified file/directory.


                                         +
   fs flushvolume  [-path <dir/file path> ]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                                 +
   fs flushv  [-p <dir/file path> ]  [-h]

DESCRIPTION

   Forces  the Cache Manager to remove cached data (but not the
   cached status information) for  all  files  and  directories
   that  reside  in the same volume as each specified directory
   or file.  The result is that the next time the Cache Manager
   needs  anything  from a flushed volume, it contacts the File
   Server for the  most  current  version,  along  with  a  new
   callback (if necessary).  This command does not discard data
   from application program  buffers  or  data  that  has  been
   altered in the cache but not yet written back to the central
   copy maintained by the File Server.

   The fs flush command can be used to flush  individual  files
   and directories.

ARGUMENTS

   -path specifies  one file or directory from each volume that
         the Cache Manager is  to  flush  completely  from  its
         cache.  If this argument is omitted, all data from the
         volume that contains the current directory is flushed.

   -help prints the online help entry for this command.  Do not
         provide  any  other  arguments or flags with this one.
         See section 3.1  in  the  Reference  Manual  for  more
         details.

EXAMPLES

   The  following  flushes  from  the cache all data that comes
   from the volume that contains the current working  directory
   and  the  directory  reports  at  the same level in the file
   tree:

   %  fs flushv . ../reports

PRIVILEGE REQUIRED

   None.



MORE INFORMATION

   fs flush
